//
//  ProcessTable.h
//  UpTop
//
//  Created by Geoff Prewett on 11/14/16.
//  Copyright © 2016 Geoff Prewett. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Process.h"

enum ProcessStat { kProcMemory, kProcCPU, kProcDiskIO };

@interface ProcessTable : NSView<NSTableViewDataSource,
                                 NSTableViewDelegate>

@property (readonly) CGFloat cellHeight;

- (instancetype)initFor:(enum ProcessStat)processStat;
- (void)setProcesses:(NSArray<Process*>*)procs;
@end
