//
//  Process.h
//  UpTop
//
//  Created by Geoff Prewett on 11/14/16.
//  Copyright © 2016 Geoff Prewett. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Process : NSObject

@property int processID;
@property NSString* processPath;
@property NSString* processName;
@property NSString* localizedProcessName;
@property int userID;
@property NSString* userName;
@property double cpuPercent;
@property double totalMem;  // total amount of memory the process uses if entirely swapped in
@property double totalCPUTime;
@property uint64_t diskRead;
@property uint64_t diskWritten;
@property uint64_t totalCPUTimeRaw;
@property uint64_t totalDiskRead;
@property uint64_t totalDiskWritten;

@property BOOL notCurrent;

@end
